Freeciv-3.3: mr_menu Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Member Functions | Data Fields | Private Slots | Private Member Functions | Private Attributes
mr_menu Class Reference

`#include <menu.h>`

Inheritance diagram for mr_menu:

## Public Member Functions

| mr_menu ()
void | setup_menus ()
void | menus_sensitive ()
void | update_airlift_menu ()
void | update_roads_menu ()
void | update_bases_menu ()
void | set_tile_for_order (struct tile *ptile)
void | execute_shortcut (int sid)
QString | shortcut_exist (fc_shortcut *fcs)
QString | shortcut_2_menustring (int sid)

## Data Fields

QAction * | minimap_status
QAction * | scale_fonts_status
QAction * | lock_status
QAction * | osd_status
QAction * | btlog_status
QAction * | chat_status
QAction * | messages_status
bool | delayed_order
bool | quick_airlifting
Unit_type_id | airlift_type_id

## Private Slots

void | local_options ()
void | shortcut_options ()
void | server_options ()
void | messages_options ()
void | save_options_now ()
void | save_game ()
void | save_game_as ()
void | save_image ()
void | tileset_custom_load ()
void | load_new_tileset ()
void | back_to_menu ()
bool | confirm_disruptive_selection ()
void | quit_game ()
void | slot_help (const QString &topic)
void | slot_build_path (int id)
void | slot_build_base (int id)
void | slot_build_city ()
void | slot_auto_worker ()
void | slot_build_road ()
void | slot_build_irrigation ()
void | slot_cultivate ()
void | slot_build_mine ()
void | slot_plant ()
void | slot_conn_road ()
void | slot_conn_rail ()
void | slot_conn_maglev ()
void | slot_conn_irrigation ()
void | slot_transform ()
void | slot_clean ()
void | slot_unit_sentry ()
void | slot_unit_explore ()
void | slot_unit_goto ()
void | slot_airlift ()
void | slot_return_to_city ()
void | slot_patrol ()
void | slot_unsentry ()
void | slot_board ()
void | slot_deboard ()
void | slot_unload_all ()
void | slot_set_home ()
void | slot_upgrade ()
void | slot_convert ()
void | slot_disband ()
void | slot_unit_fortify ()
void | slot_unit_fortress ()
void | slot_unit_airbase ()
void | slot_paradrop ()
void | slot_pillage ()
void | slot_action ()
void | slot_center_view ()
void | slot_minimap_view ()
void | slot_show_new_turn_text ()
void | slot_battlelog ()
void | slot_fullscreen ()
void | slot_lock ()
void | slot_city_outlines ()
void | slot_city_output ()
void | slot_map_grid ()
void | slot_borders ()
void | slot_fullbar ()
void | slot_native_tiles ()
void | slot_city_growth ()
void | slot_city_production ()
void | slot_city_buycost ()
void | slot_city_trade_routes ()
void | slot_stack_size ()
void | slot_city_names ()
void | zoom_in ()
void | zoom_scale_fonts ()
void | zoom_reset ()
void | zoom_out ()
void | slot_select_one ()
void | slot_select_all_tile ()
void | slot_select_same_tile ()
void | slot_select_same_continent ()
void | slot_select_same_everywhere ()
void | slot_done_moving ()
void | slot_wait ()
void | slot_unit_filter ()
void | slot_orders_clear ()
void | slot_execute_orders ()
void | slot_delayed_goto ()
void | slot_trade_add_all ()
void | slot_trade_city ()
void | slot_calculate ()
void | slot_clear_trade ()
void | slot_autocaravan ()
void | slot_rally ()
void | slot_quickairlift_set ()
void | slot_quickairlift ()
void | slot_action_vs_unit ()
void | slot_action_vs_city ()
void | slot_show_map ()
void | calc_trade_routes ()
void | slot_popup_tax_rates ()
void | slot_popup_mult_rates ()
void | slot_show_eco_report ()
void | slot_show_units_report ()
void | slot_show_nations ()
void | slot_show_cities ()
void | slot_show_research_tab ()
void | slot_spaceship ()
void | slot_demographics ()
void | slot_achievements ()
void | slot_endgame ()
void | slot_top_cities ()
void | slot_traveler ()
void | slot_bg1select ()
void | slot_bg1assign ()
void | slot_bg1append ()
void | slot_bg2select ()
void | slot_bg2assign ()
void | slot_bg2append ()
void | slot_bg3select ()
void | slot_bg3assign ()
void | slot_bg3append ()
void | slot_bg4select ()
void | slot_bg4assign ()
void | slot_bg4append ()

## Private Member Functions

struct tile * | find_last_unit_pos (struct unit *punit, int pos)
bool | execute_shortcut_inner (const QMenu *m, QKeySequence seq)
bool | shortcut_exist_inner (const QMenu *m, QKeySequence seq, fc_shortcut *fcs, QString *ret)
bool | shortcut_2_menustring_inner (const QMenu *m, QKeySequence seq, QString *ret)

## Private Attributes

QMenu * | airlift_menu
QMenu * | bases_menu
QMenu * | multiplayer_menu
QMenu * | roads_menu
QActionGroup * | airlift_type
QActionGroup * | action_vs_city
QActionGroup * | action_vs_unit
QMenu * | action_unit_menu
QMenu * | action_city_menu
QMultiHash< munit, QAction * > | menu_list
qfc_units_list | units_list

## Detailed Description

Definition at line 259 of file menu.h.

## Constructor & Destructor Documentation

## ◆ mr_menu()

mr_menu::mr_menu | ( |  | ) |

Constructor for global menubar in gameview

Definition at line 949 of file menu.cpp.

## Member Function Documentation

## ◆ back_to_menu

void mr_menu::back_to_menu | ( |  | ) |

privateslot

Back to Main Menu

Definition at line 3877 of file menu.cpp.

Referenced by setup_menus().

## ◆ calc_trade_routes

void mr_menu::calc_trade_routes | ( |  | ) |

privateslot

Action "Calculate trade routes"

Definition at line 3678 of file menu.cpp.

## ◆ confirm_disruptive_selection

bool mr_menu::confirm_disruptive_selection | ( |  | ) |

privateslot

Prompt to confirm disruptive selection

Definition at line 3902 of file menu.cpp.

Referenced by slot_select_same_continent(), and slot_select_same_everywhere().

## ◆ execute_shortcut()

void mr_menu::execute_shortcut | ( | int | sid | ) |

Finds QAction bounded to given shortcut and triggers it

Definition at line 1823 of file menu.cpp.

## ◆ execute_shortcut_inner()

bool mr_menu::execute_shortcut_inner | ( | const QMenu * | m,
|  | QKeySequence | seq
| ) |  |

private

Inner foreach() loop of mr_menu::execute_shortcut() Implemented as separate function to avoid shadow warnings about internal variables of foreach() inside foreach()

Definition at line 1808 of file menu.cpp.

Referenced by execute_shortcut().

## ◆ find_last_unit_pos()

struct tile * mr_menu::find_last_unit_pos | ( | struct unit * | punit,
|  | int | pos
| ) |  |

private

Predicts last unit position

Definition at line 907 of file menu.cpp.

Referenced by slot_execute_orders().

## ◆ load_new_tileset

void mr_menu::load_new_tileset | ( |  | ) |

privateslot

Slot for loading new tileset

Definition at line 3663 of file menu.cpp.

Referenced by tileset_custom_load().

## ◆ local_options

void mr_menu::local_options | ( |  | ) |

privateslot

Invoke dialog with local options

Definition at line 3744 of file menu.cpp.

Referenced by setup_menus().

## ◆ menus_sensitive()

void mr_menu::menus_sensitive | ( |  | ) |

Enables/disables menu items and renames them depending on key in menu_list

Definition at line 2065 of file menu.cpp.

## ◆ messages_options

void mr_menu::messages_options | ( |  | ) |

privateslot

Invoke dialog with server options

Definition at line 3768 of file menu.cpp.

Referenced by setup_menus().

## ◆ quit_game

void mr_menu::quit_game | ( |  | ) |

privateslot

Invoke popup for quiting game

Definition at line 3784 of file menu.cpp.

Referenced by setup_menus().

## ◆ save_game

void mr_menu::save_game | ( |  | ) |

privateslot

Menu Save Game

Definition at line 3842 of file menu.cpp.

Referenced by setup_menus().

## ◆ save_game_as

void mr_menu::save_game_as | ( |  | ) |

privateslot

Menu Save Game As...

Definition at line 3850 of file menu.cpp.

Referenced by setup_menus().

## ◆ save_image

void mr_menu::save_image | ( |  | ) |

privateslot

Menu Save Map Image

Definition at line 3792 of file menu.cpp.

Referenced by setup_menus().

## ◆ save_options_now

void mr_menu::save_options_now | ( |  | ) |

privateslot

Menu Save Options Now

Definition at line 3776 of file menu.cpp.

Referenced by setup_menus().

## ◆ server_options

void mr_menu::server_options | ( |  | ) |

privateslot

Invoke dialog with server options

Definition at line 3760 of file menu.cpp.

Referenced by setup_menus().

## ◆ set_tile_for_order()

void mr_menu::set_tile_for_order | ( | struct tile * | ptile | ) |

Sets given tile for delayed order

Definition at line 1796 of file menu.cpp.

## ◆ setup_menus()

void mr_menu::setup_menus | ( |  | ) |

Initializes menu system, and add custom enum(munit) for most of options Notice that if you set option for QAction->setChecked(option) it will check/uncheck automatically without any intervention

Definition at line 958 of file menu.cpp.

## ◆ shortcut_2_menustring()

QString mr_menu::shortcut_2_menustring | ( | int | sid | ) |

Returns string bounded to given shortcut

Definition at line 1908 of file menu.cpp.

## ◆ shortcut_2_menustring_inner()

bool mr_menu::shortcut_2_menustring_inner | ( | const QMenu * | m,
|  | QKeySequence | seq,
|  | QString * | ret
| ) |  |

private

Inner foreach() loop of mr_menu::shortcut_2_menustring() Implemented as separate function to avoid shadow warnings about internal variables of foreach() inside foreach()

Definition at line 1890 of file menu.cpp.

Referenced by shortcut_2_menustring().

## ◆ shortcut_exist()

QString mr_menu::shortcut_exist | ( | fc_shortcut * | fcs | ) |

Returns string assigned to shortcut or empty string if doesnt exist

Definition at line 1867 of file menu.cpp.

## ◆ shortcut_exist_inner()

bool mr_menu::shortcut_exist_inner | ( | const QMenu * | m,
|  | QKeySequence | seq,
|  | fc_shortcut * | fcs,
|  | QString * | ret
| ) |  |

private

Inner foreach() loop of mr_menu::shortcut_exist() Implemented as separate function to avoid shadow warnings about internal variables of foreach() inside foreach()

Definition at line 1850 of file menu.cpp.

Referenced by shortcut_exist().

## ◆ shortcut_options

void mr_menu::shortcut_options | ( |  | ) |

privateslot

Invoke dialog with shortcut options

Definition at line 3752 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_achievements

void mr_menu::slot_achievements | ( |  | ) |

privateslot

Action "SHOW ACHIEVEMENTS REPORT"

Definition at line 3495 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_action

void mr_menu::slot_action | ( |  | ) |

privateslot

Do... the selected action

Definition at line 2775 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_action_vs_city

void mr_menu::slot_action_vs_city | ( |  | ) |

privateslot

Slot for choosing default action vs city

Definition at line 2997 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_action_vs_unit

void mr_menu::slot_action_vs_unit | ( |  | ) |

privateslot

Slot for choosing default action vs unit

Definition at line 2986 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_airlift

void mr_menu::slot_airlift | ( |  | ) |

privateslot

Action "GOTO/AIRLIFT TO CITY"

Definition at line 3110 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_auto_worker

void mr_menu::slot_auto_worker | ( |  | ) |

privateslot

Action "AUTO_WORKER"

Definition at line 2783 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_autocaravan

void mr_menu::slot_autocaravan | ( |  | ) |

privateslot

Sends automatic caravan

Definition at line 2931 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_battlelog

void mr_menu::slot_battlelog | ( |  | ) |

privateslot

Action "Show/Dont battle log"

Definition at line 3256 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_bg1append

void mr_menu::slot_bg1append | ( |  | ) |

privateslot

Append Battle Group 1

Definition at line 3543 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_bg1assign

void mr_menu::slot_bg1assign | ( |  | ) |

privateslot

Assign Battle Group 1

Definition at line 3535 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_bg1select

void mr_menu::slot_bg1select | ( |  | ) |

privateslot

Select Battle Group 1

Definition at line 3527 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_bg2append

void mr_menu::slot_bg2append | ( |  | ) |

privateslot

Append Battle Group 2

Definition at line 3567 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_bg2assign

void mr_menu::slot_bg2assign | ( |  | ) |

privateslot

Assign Battle Group 2

Definition at line 3559 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_bg2select

void mr_menu::slot_bg2select | ( |  | ) |

privateslot

Select Battle Group 2

Definition at line 3551 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_bg3append

void mr_menu::slot_bg3append | ( |  | ) |

privateslot

Append Battle Group 3

Definition at line 3591 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_bg3assign

void mr_menu::slot_bg3assign | ( |  | ) |

privateslot

Assign Battle Group 3

Definition at line 3583 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_bg3select

void mr_menu::slot_bg3select | ( |  | ) |

privateslot

Select Battle Group 3

Definition at line 3575 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_bg4append

void mr_menu::slot_bg4append | ( |  | ) |

privateslot

Append Battle Group 4

Definition at line 3615 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_bg4assign

void mr_menu::slot_bg4assign | ( |  | ) |

privateslot

Assign Battle Group 4

Definition at line 3607 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_bg4select

void mr_menu::slot_bg4select | ( |  | ) |

privateslot

Select Battle Group 4

Definition at line 3599 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_board

void mr_menu::slot_board | ( |  | ) |

privateslot

Action "BOARD INTO TRANSPORTER"

Definition at line 3082 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_borders

void mr_menu::slot_borders | ( |  | ) |

privateslot

Action "SHOW BORDERS"

Definition at line 3268 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_build_base

void mr_menu::slot_build_base | ( | int | id | ) |

privateslot

Definition at line 3726 of file menu.cpp.

Referenced by update_bases_menu().

## ◆ slot_build_city

void mr_menu::slot_build_city | ( |  | ) |

privateslot

Action "BUILD_CITY"

Definition at line 2635 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_build_irrigation

void mr_menu::slot_build_irrigation | ( |  | ) |

privateslot

Action "BUILD_IRRIGATION"

Definition at line 2817 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_build_mine

void mr_menu::slot_build_mine | ( |  | ) |

privateslot

Action "BUILD_MINE"

Definition at line 2833 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_build_path

void mr_menu::slot_build_path | ( | int | id | ) |

privateslot

Definition at line 3710 of file menu.cpp.

Referenced by update_roads_menu().

## ◆ slot_build_road

void mr_menu::slot_build_road | ( |  | ) |

privateslot

Action "BUILD_ROAD"

Definition at line 2791 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_calculate

void mr_menu::slot_calculate | ( |  | ) |

privateslot

Trade calculation slot

Definition at line 2915 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_center_view

void mr_menu::slot_center_view | ( |  | ) |

privateslot

Action "CENTER VIEW"

Definition at line 3176 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_city_buycost

void mr_menu::slot_city_buycost | ( |  | ) |

privateslot

Action "SHOW BUY COST"

Definition at line 3284 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_city_growth

void mr_menu::slot_city_growth | ( |  | ) |

privateslot

Action "SHOW CITY GROWTH"

Definition at line 3292 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_city_names

void mr_menu::slot_city_names | ( |  | ) |

privateslot

Action "SHOW CITY NAMES"

Definition at line 3352 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_city_outlines

void mr_menu::slot_city_outlines | ( |  | ) |

privateslot

Action "SHOW CITY OUTLINES"

Definition at line 3360 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_city_output

void mr_menu::slot_city_output | ( |  | ) |

privateslot

Action "SHOW CITY OUTPUT"

Definition at line 3368 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_city_production

void mr_menu::slot_city_production | ( |  | ) |

privateslot

Action "SHOW CITY PRODUCTION"

Definition at line 3376 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_city_trade_routes

void mr_menu::slot_city_trade_routes | ( |  | ) |

privateslot

Action "SHOW CITY TRADE ROUTES"

Definition at line 3384 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_clean

void mr_menu::slot_clean | ( |  | ) |

privateslot

Action "CLEAN"

Definition at line 2653 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_clear_trade

void mr_menu::slot_clear_trade | ( |  | ) |

privateslot

Slot for clearing trade routes

Definition at line 2923 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_conn_irrigation

void mr_menu::slot_conn_irrigation | ( |  | ) |

privateslot

Action "CONNECT WITH IRRIGATION"

Definition at line 2670 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_conn_maglev

void mr_menu::slot_conn_maglev | ( |  | ) |

privateslot

Action "CONNECT WITH MAGLEV"

Definition at line 2701 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_conn_rail

void mr_menu::slot_conn_rail | ( |  | ) |

privateslot

Action "CONNECT WITH RAILROAD"

Definition at line 2686 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_conn_road

void mr_menu::slot_conn_road | ( |  | ) |

privateslot

Action "CONNECT WITH ROAD"

Definition at line 2732 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_convert

void mr_menu::slot_convert | ( |  | ) |

privateslot

Action "CONVERT"

Definition at line 2865 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_cultivate

void mr_menu::slot_cultivate | ( |  | ) |

privateslot

Action "CULTIVATE"

Definition at line 2825 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_deboard

void mr_menu::slot_deboard | ( |  | ) |

privateslot

Action "DEBOARD FROM TRANSPORTED"

Definition at line 3126 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_delayed_goto

void mr_menu::slot_delayed_goto | ( |  | ) |

privateslot

Delayed goto

Definition at line 3016 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_demographics

void mr_menu::slot_demographics | ( |  | ) |

privateslot

Action "SHOW DEMOGRAPGHICS REPORT"

Definition at line 3487 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_disband

void mr_menu::slot_disband | ( |  | ) |

privateslot

Action "DISBAND UNIT"

Definition at line 2873 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_done_moving

void mr_menu::slot_done_moving | ( |  | ) |

privateslot

Action "DONE MOVING"

Definition at line 3416 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_endgame

void mr_menu::slot_endgame | ( |  | ) |

privateslot

Action "SHOW ENDGAME REPORT"

Definition at line 3503 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_execute_orders

void mr_menu::slot_execute_orders | ( |  | ) |

privateslot

Executes stored orders

Definition at line 3047 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_fullbar

void mr_menu::slot_fullbar | ( |  | ) |

privateslot

Action "SHOW FULLBAR"

Definition at line 3400 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_fullscreen

void mr_menu::slot_fullscreen | ( |  | ) |

privateslot

Action "SET FULLSCREEN"

Definition at line 3222 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_help

void mr_menu::slot_help | ( | const QString & | topic | ) |

privateslot

Actions "HELP_*"

Definition at line 3702 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_lock

void mr_menu::slot_lock | ( |  | ) |

privateslot

Action "Lock interface"

Definition at line 3184 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_map_grid

void mr_menu::slot_map_grid | ( |  | ) |

privateslot

Action "SHOW MAP GRID"

Definition at line 3408 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_minimap_view

void mr_menu::slot_minimap_view | ( |  | ) |

privateslot

Action "VIEW/HIDE MINIMAP"

Definition at line 3232 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_native_tiles

void mr_menu::slot_native_tiles | ( |  | ) |

privateslot

Action "SHOW NATIVE TILES"

Definition at line 3276 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_orders_clear

void mr_menu::slot_orders_clear | ( |  | ) |

privateslot

Clears delayed orders

Definition at line 2881 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_paradrop

void mr_menu::slot_paradrop | ( |  | ) |

privateslot

Action "PARADROP"

Definition at line 2755 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_patrol

void mr_menu::slot_patrol | ( |  | ) |

privateslot

Action "UNIT PATROL"

Definition at line 3092 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_pillage

void mr_menu::slot_pillage | ( |  | ) |

privateslot

Action "PILLAGE"

Definition at line 2767 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_plant

void mr_menu::slot_plant | ( |  | ) |

privateslot

Action "PLANT"

Definition at line 2841 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_popup_mult_rates

void mr_menu::slot_popup_mult_rates | ( |  | ) |

privateslot

Action "MULTIPLERS RATES"

Definition at line 3694 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_popup_tax_rates

void mr_menu::slot_popup_tax_rates | ( |  | ) |

privateslot

Action "TAX RATES"

Definition at line 3686 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_quickairlift

void mr_menu::slot_quickairlift | ( |  | ) |

privateslot

Slot for quick airlifting

Definition at line 3008 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_quickairlift_set

void mr_menu::slot_quickairlift_set | ( |  | ) |

privateslot

Slot for setting quick airlift

Definition at line 2973 of file menu.cpp.

Referenced by update_airlift_menu().

## ◆ slot_rally

void mr_menu::slot_rally | ( |  | ) |

privateslot

Sets/unset rally point

Definition at line 2890 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_return_to_city

void mr_menu::slot_return_to_city | ( |  | ) |

privateslot

Action "RETURN TO NEAREST CITY"

Definition at line 3100 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_select_all_tile

void mr_menu::slot_select_all_tile | ( |  | ) |

privateslot

Action "SELECT ALL UNITS ON TILE"

Definition at line 3424 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_select_one

void mr_menu::slot_select_one | ( |  | ) |

privateslot

Action "SELECT ONE UNITS/DESELECT OTHERS"

Definition at line 3432 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_select_same_continent

void mr_menu::slot_select_same_continent | ( |  | ) |

privateslot

Action "SELLECT SAME UNITS ON CONTINENT"

Definition at line 3440 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_select_same_everywhere

void mr_menu::slot_select_same_everywhere | ( |  | ) |

privateslot

Action "SELECT SAME TYPE EVERYWHERE"

Definition at line 3450 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_select_same_tile

void mr_menu::slot_select_same_tile | ( |  | ) |

privateslot

Action "SELECT SAME TYPE ON TILE"

Definition at line 3460 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_set_home

void mr_menu::slot_set_home | ( |  | ) |

privateslot

Action "SET HOMECITY"

Definition at line 3118 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_show_cities

void mr_menu::slot_show_cities | ( |  | ) |

privateslot

Slot for showing cities report

Definition at line 2627 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_show_eco_report

void mr_menu::slot_show_eco_report | ( |  | ) |

privateslot

Slot for showing economy tab

Definition at line 2595 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_show_map

void mr_menu::slot_show_map | ( |  | ) |

privateslot

Changes tab to mapview

Definition at line 2603 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_show_nations

void mr_menu::slot_show_nations | ( |  | ) |

privateslot

Slot for showing nations report

Definition at line 2619 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_show_new_turn_text

void mr_menu::slot_show_new_turn_text | ( |  | ) |

privateslot

Action "Show/Dont show new turn info"

Definition at line 3244 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_show_research_tab

void mr_menu::slot_show_research_tab | ( |  | ) |

privateslot

Slot for showing research tab

Definition at line 2575 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_show_units_report

void mr_menu::slot_show_units_report | ( |  | ) |

privateslot

Slot for showing units tab

Definition at line 2611 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_spaceship

void mr_menu::slot_spaceship | ( |  | ) |

privateslot

Slot for showing spaceship

Definition at line 2583 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_stack_size

void mr_menu::slot_stack_size | ( |  | ) |

privateslot

Action "SHOW UNIT STACK SIZE"

Definition at line 3392 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_top_cities

void mr_menu::slot_top_cities | ( |  | ) |

privateslot

Action "SHOW TOP CITIES"

Definition at line 3511 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_trade_add_all

void mr_menu::slot_trade_add_all | ( |  | ) |

privateslot

Adds all cities to trade planning

Definition at line 2907 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_trade_city

void mr_menu::slot_trade_city | ( |  | ) |

privateslot

Adds one city to trade planning

Definition at line 2899 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_transform

void mr_menu::slot_transform | ( |  | ) |

privateslot

Action "TRANSFROM TERRAIN"

Definition at line 2747 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_traveler

void mr_menu::slot_traveler | ( |  | ) |

privateslot

Action "SHOW WONDERS REPORT"

Definition at line 3519 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_unit_airbase

void mr_menu::slot_unit_airbase | ( |  | ) |

privateslot

Action "BUILD AIRBASE"

Definition at line 2724 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_unit_explore

void mr_menu::slot_unit_explore | ( |  | ) |

privateslot

Action "EXPLORE"

Definition at line 3168 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_unit_filter

void mr_menu::slot_unit_filter | ( |  | ) |

privateslot

Shows units filter

Definition at line 3476 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_unit_fortify

void mr_menu::slot_unit_fortify | ( |  | ) |

privateslot

Action "FORTIFY"

Definition at line 2849 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_unit_fortress

void mr_menu::slot_unit_fortress | ( |  | ) |

privateslot

Action "BUILD FORTRESS"

Definition at line 2716 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_unit_goto

void mr_menu::slot_unit_goto | ( |  | ) |

privateslot

Action "GOTO"

Definition at line 3160 of file menu.cpp.

Referenced by execute_shortcut(), and setup_menus().

## ◆ slot_unit_sentry

void mr_menu::slot_unit_sentry | ( |  | ) |

privateslot

Action "SENTRY"

Definition at line 2857 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_unload_all

void mr_menu::slot_unload_all | ( |  | ) |

privateslot

Action "UNLOAD ALL UNITS FROM TRANSPORTER"

Definition at line 3136 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_unsentry

void mr_menu::slot_unsentry | ( |  | ) |

privateslot

Action "UNSENTRY(WAKEUP) ALL UNITS"

Definition at line 3144 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_upgrade

void mr_menu::slot_upgrade | ( |  | ) |

privateslot

Action "UPGRADE UNITS"

Definition at line 3152 of file menu.cpp.

Referenced by setup_menus().

## ◆ slot_wait

void mr_menu::slot_wait | ( |  | ) |

privateslot

Action "WAIT"

Definition at line 3468 of file menu.cpp.

Referenced by setup_menus().

## ◆ tileset_custom_load

void mr_menu::tileset_custom_load | ( |  | ) |

privateslot

Shows rulesets to load

Definition at line 3623 of file menu.cpp.

Referenced by setup_menus().

## ◆ update_airlift_menu()

void mr_menu::update_airlift_menu | ( |  | ) |

Updates airlift menu

Definition at line 1932 of file menu.cpp.

## ◆ update_bases_menu()

void mr_menu::update_bases_menu | ( |  | ) |

Definition at line 2018 of file menu.cpp.

## ◆ update_roads_menu()

void mr_menu::update_roads_menu | ( |  | ) |

Definition at line 1971 of file menu.cpp.

## ◆ zoom_in

void mr_menu::zoom_in | ( |  | ) |

privateslot

Action "RELOAD ZOOMED IN TILESET"

Definition at line 3300 of file menu.cpp.

Referenced by setup_menus().

## ◆ zoom_out

void mr_menu::zoom_out | ( |  | ) |

privateslot

Action "RELOAD ZOOMED OUT TILESET"

Definition at line 3343 of file menu.cpp.

Referenced by setup_menus().

## ◆ zoom_reset

void mr_menu::zoom_reset | ( |  | ) |

privateslot

Action "RESET ZOOM TO DEFAULT"

Definition at line 3309 of file menu.cpp.

Referenced by setup_menus().

## ◆ zoom_scale_fonts

void mr_menu::zoom_scale_fonts | ( |  | ) |

privateslot

Action "SCALE FONTS WHEN SCALING MAP"

Definition at line 3324 of file menu.cpp.

Referenced by setup_menus().

## Field Documentation

## ◆ action_city_menu

QMenu* mr_menu::action_city_menu

private

Definition at line 270 of file menu.h.

Referenced by setup_menus().

## ◆ action_unit_menu

QMenu* mr_menu::action_unit_menu

private

Definition at line 269 of file menu.h.

Referenced by setup_menus().

## ◆ action_vs_city

QActionGroup* mr_menu::action_vs_city

private

Definition at line 267 of file menu.h.

Referenced by setup_menus().

## ◆ action_vs_unit

QActionGroup* mr_menu::action_vs_unit

private

Definition at line 268 of file menu.h.

Referenced by setup_menus().

## ◆ airlift_menu

QMenu* mr_menu::airlift_menu

private

Definition at line 262 of file menu.h.

Referenced by setup_menus(), and update_airlift_menu().

## ◆ airlift_type

QActionGroup* mr_menu::airlift_type

private

Definition at line 266 of file menu.h.

Referenced by setup_menus(), and update_airlift_menu().

## ◆ airlift_type_id

Unit_type_id mr_menu::airlift_type_id

Definition at line 293 of file menu.h.

Referenced by setup_menus(), slot_quickairlift_set(), and update_airlift_menu().

## ◆ bases_menu

QMenu* mr_menu::bases_menu

private

Definition at line 263 of file menu.h.

Referenced by setup_menus(), and update_bases_menu().

## ◆ btlog_status

QAction* mr_menu::btlog_status

Definition at line 288 of file menu.h.

Referenced by setup_menus(), and slot_battlelog().

## ◆ chat_status

QAction* mr_menu::chat_status

Definition at line 289 of file menu.h.

## ◆ delayed_order

bool mr_menu::delayed_order

Definition at line 291 of file menu.h.

Referenced by setup_menus(), slot_delayed_goto(), and slot_orders_clear().

## ◆ lock_status

QAction* mr_menu::lock_status

Definition at line 286 of file menu.h.

Referenced by setup_menus().

## ◆ menu_list

QMultiHash<munit, QAction*> mr_menu::menu_list

private

Definition at line 271 of file menu.h.

Referenced by menus_sensitive(), and setup_menus().

## ◆ messages_status

QAction* mr_menu::messages_status

Definition at line 290 of file menu.h.

## ◆ minimap_status

QAction* mr_menu::minimap_status

Definition at line 284 of file menu.h.

Referenced by setup_menus(), and slot_minimap_view().

## ◆ multiplayer_menu

QMenu* mr_menu::multiplayer_menu

private

Definition at line 264 of file menu.h.

Referenced by menus_sensitive(), and setup_menus().

## ◆ osd_status

QAction* mr_menu::osd_status

Definition at line 287 of file menu.h.

Referenced by setup_menus(), and slot_show_new_turn_text().

## ◆ quick_airlifting

bool mr_menu::quick_airlifting

Definition at line 292 of file menu.h.

Referenced by setup_menus(), and slot_quickairlift().

## ◆ roads_menu

QMenu* mr_menu::roads_menu

private

Definition at line 265 of file menu.h.

Referenced by setup_menus(), and update_roads_menu().

## ◆ scale_fonts_status

QAction* mr_menu::scale_fonts_status

Definition at line 285 of file menu.h.

Referenced by setup_menus(), and zoom_scale_fonts().

## ◆ units_list

qfc_units_list mr_menu::units_list

private

Definition at line 272 of file menu.h.

Referenced by find_last_unit_pos(), set_tile_for_order(), slot_delayed_goto(), slot_execute_orders(), and slot_orders_clear().